OGRE: Ogre::StreamSerialiser::Chunk Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::StreamSerialiser::Chunk Struct Reference

Definition of a chunk of data in a file. More...

`#include <OgreStreamSerialiser.h>`

Inheritance diagram for Ogre::StreamSerialiser::Chunk:
[legend]

List of all members.

## Public Member Functions
| Chunk ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Public Attributes
uint32 | id
| Identifier of the chunk (for example from makeIdentifier) (stored).
uint16 | version
| Version of the chunk (stored).
uint32 | length
| Length of the chunk data in bytes, excluding the header of this chunk (stored).
uint32 | offset
| Location of the chunk (header) in bytes from the start of a stream (derived).

## Detailed Description

Definition of a chunk of data in a file.

Definition at line 91 of file OgreStreamSerialiser.h.

## Constructor & Destructor Documentation

Ogre::StreamSerialiser::Chunk::Chunk | ( |  | ) |

Definition at line 102 of file OgreStreamSerialiser.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

uint32 Ogre::StreamSerialiser::Chunk::id

Identifier of the chunk (for example from makeIdentifier) (stored).

Definition at line 94 of file OgreStreamSerialiser.h.

uint32 Ogre::StreamSerialiser::Chunk::length

Length of the chunk data in bytes, excluding the header of this chunk (stored).

Definition at line 98 of file OgreStreamSerialiser.h.

uint32 Ogre::StreamSerialiser::Chunk::offset

Location of the chunk (header) in bytes from the start of a stream (derived).

Definition at line 100 of file OgreStreamSerialiser.h.

uint16 Ogre::StreamSerialiser::Chunk::version

Version of the chunk (stored).

Definition at line 96 of file OgreStreamSerialiser.h.

The documentation for this struct was generated from the following file:

- OgreStreamSerialiser.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:02